Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 89966 - Gnome terminal ignores environment variables
Gnome terminal ignores environment variables
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
5.x
All Linux
: P2 (vote)
: 6.x
Assigned To: _ gordonp
issues@cnd
projectsystem
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 16:34 UTC by soldatov
Modified: 2007-08-09 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2006-11-23 16:34:36 UTC
- Add this file into project:
------------------------------------------------------------

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv) {
    printf("PATH=%s\n", getenv("PATH"));
    printf("AAA=%s\n", getenv("AAA"));
    return (EXIT_SUCCESS);
}

------------------------------------------------------------
- Open Project Properties window for this project and go to 'Running' subcategory
- Add 'AAA' and 'PATH' environment variables
- Set 'AAA=ZZZ' and 'PATH=/home/sssss'
- Run project
==>In gnome-terminal I see:
PATH=/home/vs157455/bin:/usr/local/bin:/usr/bin:/usr/X11R6/bin:/bin:/usr/games:/opt/gnome/bin
AAA=(null)
Comment 1 soldatov 2006-11-24 08:12:28 UTC
It is bug same IZ89718 (http://cnd.netbeans.org/issues/show_bug.cgi?id=89718)
For example I can reproduce its on sqao35 (on sqao35:2 display).

If gnome-terminal just appeared, but in internal output
window I've already watched "Run successful. Exit value 0.", then I have wrong
environment variables.
But If gnome-terminal started correctly, then I see 'PATH=/home/sssss' and
'AAA=ZZZ' in gnome-terminal
Comment 2 _ gordonp 2006-11-28 19:01:26 UTC
Developer note: gnome-terminal typically runs in a server mode. If I start
5 gnome-terminals the 1st one starts a persistant gnome-terminal process and
the others send a message to the persistant process to open a new window.

This means that the environment is usually set prior to running a program in
the IDE. So the only way to fix this issue would be to pass and env file and
have dorun.sh source it.
Comment 3 _ gordonp 2007-03-02 22:34:26 UTC
Fixed at the start of 5.5.1.
Comment 4 Alexander Pepin 2007-08-09 17:17:42 UTC
verified in 5.5.1_u1 CND build (20070808).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo